<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>RepreproDeployMojo xref</title>
<link type="text/css" rel="stylesheet" href="../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../apidocs/net/sf/debianmaven/RepreproDeployMojo.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <strong class="jxr_keyword">package</strong> net.sf.debianmaven;
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">import</strong> java.io.File;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">import</strong> java.io.IOException;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <strong class="jxr_keyword">import</strong> java.util.ArrayList;
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> java.util.List;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <strong class="jxr_keyword">import</strong> org.apache.maven.plugin.MojoExecutionException;
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">import</strong> edu.emory.mathcs.backport.java.util.Arrays;
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_javadoccomment"> * @goal deploy</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_javadoccomment"> * @phase install</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../net/sf/debianmaven/RepreproDeployMojo.html">RepreproDeployMojo</a> <strong class="jxr_keyword">extends</strong> <a href="../../../net/sf/debianmaven/AbstractRepreproMojo.html">AbstractRepreproMojo</a>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  {
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String DEFAULT_CODENAME = <span class="jxr_string">"experimental"</span>;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_javadoccomment">	 * @deprecated</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_javadoccomment">	 * @see #repositoryCodenames</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.repository.branch}" default-value="experimental"</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  	<strong class="jxr_keyword">protected</strong> String repositoryBranch;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.repository.codenames}"</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment">	 * @since 1.0.7</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  	<strong class="jxr_keyword">protected</strong> String[] codenames;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment">	 * @parameter expression="${deb.deploy.skipMissing}" default-value="false"</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment">	 * @since 1.0.4</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">boolean</strong> skipDeployMissing;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  	@SuppressWarnings(<span class="jxr_string">"unchecked"</span>)
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">void</strong> runReprepro() <strong class="jxr_keyword">throws</strong> IOException, MojoExecutionException
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  	{
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		File pkgfile = getPackageFile();
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  		<strong class="jxr_keyword">if</strong> (pkgfile.exists())
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  		{
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  			List&lt;String&gt; codenames = <strong class="jxr_keyword">new</strong> ArrayList&lt;String&gt;();
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  			<strong class="jxr_keyword">if</strong> (repositoryBranch != <strong class="jxr_keyword">null</strong>)
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  			{
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  				codenames.add(repositoryBranch);
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  				getLog().warn(<span class="jxr_string">"parameter 'repositoryBranch' is now deprecated; use 'codenames' instead"</span>);
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  			}
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  			<strong class="jxr_keyword">if</strong> (<strong class="jxr_keyword">this</strong>.codenames != <strong class="jxr_keyword">null</strong>)
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  				codenames.addAll(Arrays.asList(<strong class="jxr_keyword">this</strong>.codenames));
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  			<strong class="jxr_keyword">if</strong> (codenames.isEmpty())
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  				codenames.add(DEFAULT_CODENAME);
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  			<strong class="jxr_keyword">for</strong> (String codename : codenames)
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  				runProcess(<strong class="jxr_keyword">new</strong> String[]{<span class="jxr_string">"reprepro"</span>, <span class="jxr_string">"--confdir"</span>, repreproConfigurationDir.toString(), <span class="jxr_string">"--basedir"</span>, repository.toString(), <span class="jxr_string">"includedeb"</span>, codename, pkgfile.toString()}, <strong class="jxr_keyword">true</strong>);
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  		}
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  		<strong class="jxr_keyword">else</strong>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  			getLog().info(<span class="jxr_string">"Skipping deployment of non-existent package: "</span>+pkgfile);
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  	}
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> executeDebMojo() <strong class="jxr_keyword">throws</strong> MojoExecutionException
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  	{
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		<strong class="jxr_keyword">try</strong>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		{
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  			runReprepro();
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  		}
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  		<strong class="jxr_keyword">catch</strong> (IOException e)
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		{
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  			getLog().error(e.toString());
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  			<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> MojoExecutionException(e.getMessage(), e);
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		}
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  	}
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2012&#x2013;2019. All rights reserved.</div>
</body>
</html>
